Package org.eclipse.cdt.core.model

# Class BinaryFilePresentation

java.lang.Object
org.eclipse.cdt.core.model.BinaryFilePresentation

public abstract class BinaryFilePresentation extends Object
Allows to configure the presentation of binaries.

Clients may create subclasses.

Since:
  4.0.1.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final IBinaryParser.IBinaryFile`
`fBinaryFile`

## Constructor Summary

Constructors
Constructor
Description
`BinaryFilePresentation(IBinaryParser.IBinaryFile binFile)`
Constructs the presentation object for a binary file.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`showInBinaryContainer()`
Determines whether a binary is to be shown as part of the binary container.
`static boolean`
`showInBinaryContainer(IBinaryParser.IBinaryFile bin)`
Default implementation for showing binaries as part of the binary container.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### fBinaryFile

protected final IBinaryParser.IBinaryFile fBinaryFile

## Constructor Details

### BinaryFilePresentation

public BinaryFilePresentation(IBinaryParser.IBinaryFile binFile)
Constructs the presentation object for a binary file.

## Method Details

### showInBinaryContainer

public static boolean showInBinaryContainer(IBinaryParser.IBinaryFile bin)
Default implementation for showing binaries as part of the binary container. It is used whenever a IBinaryFile is not adaptable to BinaryFilePresentation.

### showInBinaryContainer

public boolean showInBinaryContainer()
Determines whether a binary is to be shown as part of the binary container. The default implementation returns `true` for executables and dynamic libraries.